---
title: 'xlink:show'
slug: 'Web/SVG/Attribute/xlink:show'
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p>The <strong><code>xlink:show</code></strong> attribute indicates how a linked resource should be opened and is meant for {{Glossary("XLink")}}-aware processors. In case of a conflict, the {{SVGAttr("target")}} attribute has priority, since it can express a wider range of values.</p>

<p>Only one element is using this attribute: {{SVGElement("a")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>new</code> | <code>replace</code> | <code>embed</code> | <code>other</code> | <code>none</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>replace</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>new</code></dt>
 <dd>This value specifies that the referenced resource is opened in a new window or tab. This is similar to the effect achieved by an HTML {{HTMLElement("a")}} element with {{HTMLAttrDef("target")}} set to <code>_blank</code>.</dd>
 <dt><code>replace</code></dt>
 <dd>This value specifies that the referenced resource is opened in the same window or tab. This is similar to the effect achieved by an HTML {{HTMLElement("a")}} element with {{HTMLAttrDef("target")}} set to <code>_self</code>.</dd>
 <dt><code>embed</code></dt>
 <dd>This value specifies that instead of linking to the resource it will be loaded and shown within the document. This is similar to the effect achieved by an HTML {{HTMLElement("img")}} element.</dd>
 <dt><code>other</code></dt>
 <dd>This value indicates that other markup present in the link, i.e. the {{SVGAttr("target")}} attribute, determines its behavior.</dd>
 <dt><code>none</code></dt>
 <dd>This value specifies that there is no indication for how to refer to the linked resource.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "linking.html#XLinkShowAttribute", "xlink:show")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.xlink.xlink_show")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.w3.org/TR/xlink/#show-att">Definition of the <code>xlink:show</code> attribute in the XLink specification</a></li>
</ul>
